CalryOTA Docs
Tags

Apply tag to listings

Apply the tag to a set of listings by their IDs

POST
/api/v1/tags/{id}/listings

Path Parameters

id*string

ID of the tag to apply

Request Body

application/json

Array of listing IDs to which the tag should be applied

TypeScript Definitions

Use the request body type in TypeScript.

listingIds*array<string>

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/tags/123e4567-e89b-12d3-a456-426614174000/listings" \  -H "Content-Type: application/json" \  -d '{    "listingIds": [      "string"    ]  }'
{
  "id": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "name": "string",
  "description": "string",
  "workspaceID": "string",
  "listingIds": [
    [
      "string"
    ]
  ]
}
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty